Execute runbook
POST
/api/v1/incidents/{incident_id}/runbook
const url = 'https://api.ultimateteam.ai/api/v1/incidents/example/runbook?tenant_id=example';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"manual_confirmation":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.ultimateteam.ai/api/v1/incidents/example/runbook?tenant_id=example' \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "manual_confirmation": false }'Triggers automated runbook execution.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”incident_id
required
Incident Id
string
Query Parameters
Section titled “Query Parameters”tenant_id
required
Tenant Id
Tenant identifier
string
Tenant identifier
Request Body
Section titled “Request Body”Media typeapplication/json
RunbookTriggerRequest
Request body for runbook execution.
object
manual_confirmation
Manual Confirmation
boolean
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
RunbookResult
Result of a runbook execution attempt.
Args: incident_id: The incident this runbook was executed for. runbook_type: The type of runbook executed. success: Whether the execution succeeded. message: Human-readable result message. requires_confirmation: Whether manual confirmation is needed. destructive: Whether this runbook performs destructive actions. executed_at: ISO timestamp of execution. steps_completed: Number of steps completed. outcome: Detailed outcome string from RunbookExecutionRecord. execution_record: Full execution record for audit.
object
destructive
Destructive
boolean
executed_at
Executed At
string
incident_id
Incident Id
string
message
Message
string
outcome
Outcome
string
requires_confirmation
Requires Confirmation
boolean
runbook_type
Runbook Type
string
steps_completed
Steps Completed
integer
success
Success
boolean
Example
{ "destructive": false, "incident_id": "", "message": "", "outcome": "", "requires_confirmation": false, "runbook_type": "", "steps_completed": 0, "success": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}